#include "gatePair.h"
#include "plateTime.h"

#ifndef PLATE_VELOCITY
#define PLATE_VELOCITY

typedef struct
{
    Plate plate;
    float velocity;
} PlateVelocity;

typedef PlateVelocity *PlateVelocityPtr;

#endif

int calculateVelocities(GatePair gatePair, PlateTimeList firstGateList, PlateTimeList secondGateList, PlateVelocityPtr *plateVelocities);
void printVelocities(FILE *fout, GatePair gatePair, PlateVelocityPtr plateVelocities, int dim);
void destroyVelocities(PlateVelocityPtr plateVelocities);