#include <stdio.h>
#include "time.h"

Time stringToTime(char buffer[])
{
    Time time;
    sscanf(buffer, "%hd:%hd:%hd", &time.hour, &time.minute, &time.second);
    return time;
}

float timeDifference(Time t1, Time t2)
{
    float t1Hours, t2Hours;
    t1Hours = (float)(t1.hour + (float)t1.minute / 60 + (float)t1.second / 3600);
    t2Hours = (float)(t2.hour + (float)t2.minute / 60 + (float)t2.second / 3600);

    if (t1Hours < t2Hours)
        t1Hours += 24;

    return t1Hours - t2Hours;
}